Bug 1265732 - Preview data will have deployed the driver to the server only after first error.
Preview data will have deployed the driver to the server only after first error.
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 11:11 EDT by Matej Kralik
Modified: 2015-12-07 08:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:20:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2659 Minor Open Preview data will have deployed the driver to the server only after first error. 2015-12-07 08:20 EST

  None (edit)
Description Matej Kralik 2015-09-23 11:11:01 EDT
I remove a driver from the server. I click to refresh teiid instance connection in the Jboss developer studio. (once or more) but preview data don't deploys the driver on the server and show error (TEIID30498 Capabilities for [source model] were not avaialable.  The command could not be planned properly.). And from now when I click to refresh teiid instance connection and I click to preview data, data will be show correctly. 


Steps to Reproduce:
1.Right click to any view table and select Modelling -> Preview Data (data will be shown correct)
2.Remove driver from the server
3.Refresh teiid instance connection (once or more)
4.Preview data again, it finishes error (TEIID30498 Capabilities for were not avaialable. The command could not be planned properly.)
5.Refresh teiid instance connection again
6.Right click the view table and select Modelling -> Preview Data (data will be shown correct)
Comment 2 Barry LaFond 2015-11-03 11:47:28 EST
I think the fix will be to add an additional check to insure the driver (jar) for a deployed DS exists on the server before continuing with Preview. If situation occurs, the probably throw up a dialog.
Comment 3 Barry LaFond 2015-12-07 08:20:53 EST
Using only JIRA now.  Marking as closed

Note You need to log in before you can comment on or make changes to this bug.